/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.UsuarioUbicacionDAO;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.entidad.UsuarioUbicacion;
import com.rjconsultores.ventaboletos.service.UsuarioUbicacionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import org.springframework.stereotype.Service;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author rodrigo
 */
@Service("usuarioUbicacionService")
public class UsuarioUbicacionServiceImpl implements UsuarioUbicacionService {

    @Autowired
    private UsuarioUbicacionDAO usuarioUbicacionDAO;

    public List<UsuarioUbicacion> obtenerTodos() {
        return usuarioUbicacionDAO.obtenerTodos();
    }

    public UsuarioUbicacion obtenerID(Integer id) {
        return usuarioUbicacionDAO.obtenerID(id);
    }

    @Transactional
    public UsuarioUbicacion suscribir(UsuarioUbicacion entidad) {
        entidad.setUsuariomodifId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioUbicacionDAO.suscribir(entidad);
    }

    @Transactional
    public UsuarioUbicacion actualizacion(UsuarioUbicacion entidad) {
        entidad.setUsuariomodifId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return usuarioUbicacionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(UsuarioUbicacion entidad) {
        entidad.setUsuariomodifId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        usuarioUbicacionDAO.actualizacion(entidad);
    }

    public List<UsuarioUbicacion> buscarPorUsuario(Usuario usuario) {
        return usuarioUbicacionDAO.buscarPorUsuario(usuario);
    }
}
